#include "thread.h"

using namespace thread_tools;

void *
thread_tools::thread_function(void * arg)
{
   Thread * thread_ptr = reinterpret_cast< Thread* >(arg);
   thread_ptr->run();
   return NULL;
}
